//
//  NSTask+CallCommand.h
//  GlyphsCore
//
//  Created by Georg Seifert on 03.04.16.
//  Copyright © 2016 schriftgestaltung.de. All rights reserved.
//

#ifndef gsCallCommand_h
#define gsCallCommand_h

NSData *callCommandArguments(NSString *command, NSArray *arguments);

@interface NSTask (CallCommand)

+ (NSTask *)taskWithCommand:(NSString *)command withAruments:(NSArray *)arguments;

- (NSString *)runAndReturnResultAsString;

- (NSData *)runAndReturnResultAsData;
@end

#endif /* gsCallCommand_h */
